<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_pensonal.mvvm.PensonalMyTestViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_pensonal.ui.activity.PensonalAppointmentTestListActivity.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg_blue"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:id="@+id/easy_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_menuImgSize="0dp"
            app:Easy_title="My Test" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_35dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_8dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:background="@drawable/search_bg"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_16dp"
                android:src="@drawable/search_bg_icon"
                binding:clicks="@{click.doSearch}" />

            <EditText
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/d_13dp"
                android:layout_marginRight="@dimen/d_13dp"
                android:layout_weight="1"
                android:background="@color/transparent"
                android:hint="Search"
                android:imeOptions="actionSearch"
                android:singleLine="true"
                android:text="@={viewModel.mKeywordLiveData}"
                android:textColor="@color/input_black_text"
                android:textColorHint="#FFBDC1CF"
                android:textCursorDrawable="@null"
                android:textSize="@dimen/d_15sp"
                binding:onKeyEnter="@{click.doSearch}" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginRight="@dimen/d_10dp"
                android:padding="@dimen/d_5dp"
                android:src="@drawable/search_delete"
                android:visibility="visible"
                app:tint="@color/input_black_text"
                binding:clicks="@{click.searchDel}"
                binding:isVisibleGone="@{!TextUtils.isEmpty(viewModel.mKeywordLiveData)}"
                tools:tint="@color/input_black_text" />

        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refresh_layout"
            android:layout_marginTop="@dimen/d_10dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="none" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </LinearLayout>

</layout>
